Bug 143713 - should not update all the feeds if too much
Summary: should not update all the feeds if too much
Status: RESOLVED WORKSFORME
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-02 03:31 UTC by xavier66
Modified: 2014-01-08 00:45 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description xavier66 2007-04-02 03:31:52 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages

I have about 200 feeds in akregator, and my system lags (being barely usable) for minutes every time akregator updates. My CPU goes to 100% as the program computes the update.
I'd like akregator to update just a part of my feed list instead of everything in a row. For example, get ~50 feeds every 15 minutes instead of everything every hour. Another solution would be to pause between every feed to keep a low CPU usage.
Comment 1 Teemu Rytilahti 2008-01-27 13:49:37 UTC
Yup, I have seen this one too. Any ideas whether this is the case still in trunk, Frank?
Comment 2 Andrey Rakhmatullin 2008-08-31 20:17:31 UTC
That's still in 4.1.0.
Comment 3 Ricardo J. Barberis 2014-01-07 01:18:37 UTC
Akregator no longer updates all of the feeds at the same time, it limits to 10 or so (tested on KDE SC 4.8.5 and on 4.11.4), so I believe this bug could be closed.